package com.project.skidn_disease_app;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CheckBox;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import java.util.ArrayList;

public class DeasisAdapter extends RecyclerView.Adapter<DeasisAdapter.ViewHolder> {
    View view;
    Context context;
    ArrayList<String> arrayList;
    QuantityListner quantityListner;
    ArrayList<String> arrayList_checked = new ArrayList<>();
    private ArrayList<Integer> selected = new ArrayList<>();

    public DeasisAdapter(Context context, ArrayList<String> arrayList, QuantityListner quantityListner) {
        this.context = context;
        this.arrayList = arrayList;
        this.quantityListner = quantityListner;
    }

    public View getView() {
        return view;
    }

    @NonNull
    @Override
    public DeasisAdapter.ViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        view = LayoutInflater.from(context).inflate(R.layout.deasisecheck,parent,false);

        return new ViewHolder(view);
    }

    @Override
    public void onBindViewHolder(@NonNull DeasisAdapter.ViewHolder holder, int position) {
        int mLastPosition = holder.getAdapterPosition();
        if(arrayList != null && arrayList.size() > 0){
            holder.check_Box.setText(arrayList.get(position));
            if(arrayList_checked.contains(arrayList.get(mLastPosition))){
                holder.check_Box.setChecked(true);
            }else{
                holder.check_Box.setChecked(false);
            }
            holder.check_Box.setOnClickListener(new View.OnClickListener(){
                @Override
                public void onClick(View v) {
                    if(holder.check_Box.isChecked()){
                        System.out.println(mLastPosition);
                        arrayList_checked.add(arrayList.get(mLastPosition));
                    }else{
                        arrayList_checked.remove(arrayList.get(mLastPosition));
                    }
                    quantityListner.onQunatiyChange(arrayList_checked
                    );
                }
            });

        }
    }

    @Override
    public int getItemCount() {
        return arrayList.size();
    }

    public class ViewHolder extends RecyclerView.ViewHolder {
        CheckBox check_Box;
        public ViewHolder(@NonNull View itemView) {
            super(itemView);
            check_Box = itemView.findViewById(R.id.check_box);
        }
    }
}
