package com.project.skidn_disease_app;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.List;

public class DeasisShowAdapter extends RecyclerView.Adapter<DeasisShowAdapter.ViewHolder>{

    private ArrayList<String> arrayList = new ArrayList<>();
    Context context;

    public DeasisShowAdapter(ArrayList<String> arrayList, Context context) {
        this.arrayList = arrayList;
        this.context = context;
    }

    @NonNull
    @Override
    public ViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.showdeasislayout,parent,false);
        ViewHolder viewHolder = new ViewHolder(view);
        return viewHolder;
    }

    @Override
    public void onBindViewHolder(@NonNull ViewHolder holder, int position) {

        System.out.println(arrayList.size());
        System.out.println(position);
        System.out.println("here"+arrayList);
        JSONObject obj = null;
        String name="";
        String description = "";
        try {
            for (Object data: (arrayList)) {
                System.out.println("here"+data);
                obj = new JSONObject(data.toString());

                List<String> list = new ArrayList<String>();
                name = (String) obj.get("name");
                if (name.contains("Symptoms"))
                    name = name.replace("Symptoms","");
                description = (String) obj.get("description");

                System.out.println("name "+name);
                System.out.println("description "+description);
            }

            holder.titleText.setText(name);
            holder.description.setText(description);
            System.out.println(name);
            System.out.println(description);
        } catch (JSONException e) {
            e.printStackTrace();
        }

    }

    @Override
    public int getItemCount() {
        return arrayList.size();
    }

    public class ViewHolder extends RecyclerView.ViewHolder{

        TextView titleText,description;

        public ViewHolder(@NonNull View itemView) {
            super(itemView);
            titleText = itemView.findViewById(R.id.title_deasis);
            description = itemView.findViewById(R.id.title_deasis_description);

        }
    }
}
