package com.project.skidn_disease_app;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import android.util.Log;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Toast;

import com.android.volley.NetworkResponse;
import com.android.volley.Request;
import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.VolleyLog;
import com.android.volley.toolbox.JsonObjectRequest;
import com.android.volley.toolbox.JsonRequest;
import com.android.volley.toolbox.RequestFuture;
import com.android.volley.toolbox.StringRequest;
import com.android.volley.toolbox.Volley;
import com.google.gson.JsonObject;
import com.project.skidn_disease_app.model.DeasisModal;
import com.project.skidn_disease_app.network.ApiInterFace;
import com.project.skidn_disease_app.network.ArrayListVals;
import com.project.skidn_disease_app.network.RetrofitClientInstance;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import retrofit2.Call;
import retrofit2.Callback;
import retrofit2.Retrofit;

/**
 * A simple {@link Fragment} subclass.
 * Use the {@link SearchFragment#newInstance} factory method to
 * create an instance of this fragment.
 */
public class SearchFragment extends Fragment implements QuantityListner{

    // TODO: Rename parameter arguments, choose names that match
    // the fragment initialization parameters, e.g. ARG_ITEM_NUMBER
    private static final String ARG_PARAM1 = "param1";
    private static final String ARG_PARAM2 = "param2";
    HashMap<String, String> map = new HashMap<>();
    private RecyclerView recyclerView;
    ArrayList<Object> data_ = new ArrayList<>();
    private ArrayList<String> responce_data;
    private ArrayList<String> values;

    // TODO: Rename and change types of parameters
    private String mParam1;
    private String mParam2;

    public SearchFragment() {
        // Required empty public constructor
    }

    /**
     * Use this factory method to create a new instance of
     * this fragment using the provided parameters.
     *
     * @param param1 Parameter 1.
     * @param param2 Parameter 2.
     * @return A new instance of fragment SearchFragment.
     */
    // TODO: Rename and change types and number of parameters
    public static SearchFragment newInstance(String param1, String param2) {
        SearchFragment fragment = new SearchFragment();
        Bundle args = new Bundle();
        args.putString(ARG_PARAM1, param1);
        args.putString(ARG_PARAM2, param2);
        fragment.setArguments(args);
        return fragment;
    }

    public ArrayList<String> getData(){
        ArrayList<String> arraylist = new ArrayList<>();
        arraylist.add("Crusting of skin bumps.");
        arraylist.add(" Cysts.");
        arraylist.add(" Papules (small red bumps)");
        arraylist.add(" Pustules (small red bumps containing white or yellow pus)");
        arraylist.add(" Redness around the skin eruptions.");
        arraylist.add(" Scarring of the skin.");
        arraylist.add("Whiteheads.");
        arraylist.add("Blackheads");
        arraylist.add(" Eye Problems");
        arraylist.add("Enlarged nose.");
        arraylist.add("Rough, dry or scaly patch of skin , usually less than 1 inch  in diameter.");
        arraylist.add("Flat to slightly raised patch or bump on the top layer of skin.");
        arraylist.add(" In some cases, a hard, warlike surface.");
        arraylist.add("Color variations, including pink, red or brown .");
        arraylist.add("Itching, burning, bleeding or crusting");
        arraylist.add("the rash often forms in the creases of your elbows or knees");
        arraylist.add("skin in areas where the rash appears may turn lighter or darker, or get thicker");
        arraylist.add("small bumps may appear and leak fluid if you scratch them");
        arraylist.add("babies often get the rash on their scalp and cheeks");
        arraylist.add("your skin can get infected if you scratch it");
        arraylist.add("Itching skin, weeks or months before blisters form.");
        arraylist.add("Large blisters that don't easily rupture when touched, often along creases or folds in the skin.");
        arraylist.add("Skin around the blisters that is normal, reddish or darker than normal.");
        arraylist.add("Eczema or a hive-like(5) rash");
        arraylist.add("Red area of skin that tends to expand.");
        arraylist.add("Swelling.");
        arraylist.add("Tenderness.");
        arraylist.add("Pain.");
        arraylist.add("Warmth.");
        arraylist.add("Fever.");
        arraylist.add("Red spots .");
        arraylist.add("Blisters");
        arraylist.add("your skin itches, turns red, burns, and stings.");
        arraylist.add("itchy bumps called hives may pop up on your skin.");
        arraylist.add("fluid-filled blisters  can form that may ooze and crust over.");
        arraylist.add("over time, the skin may thicken and feel scaly or leathery");
        arraylist.add("Hacking cough");
        arraylist.add(" Redness and irritation of the eyes");
        arraylist.add("Fever");
        arraylist.add("Small red spots with white centers on the inside of the cheek ");
        arraylist.add("Small bald patches on your scalp or other parts of your body.");
        arraylist.add("Patches may get larger and grow together into a bald spot.");
        arraylist.add("Hair grows back in one spot and falls out in another.");
        arraylist.add("You lose a lot of hair over a short time.");
        arraylist.add(" More hair loss in cold weather.");
        arraylist.add(" Fingernails and toenails become red, brittle, and pitted");
        arraylist.add("including swollen glands, fever, chills, and headache.");
        arraylist.add("a burning or tingling sensation where the infection will erupt.");
        arraylist.add("Pain and itching around the genital area. ");
        arraylist.add(" red bumps or other blisters, which may ooze, in the genital area");
        arraylist.add("redness, ");
        arraylist.add("light sensitivity, ");
        arraylist.add("headaches, and blurred vision.");
        arraylist.add("symptoms may be treated by closing the eyes and taking a break from the visual task.");
        arraylist.add("Muscle and joint pain. ");
        arraylist.add("Rashes.");
        arraylist.add("Chest pain.");
        arraylist.add("Hair loss.");
        arraylist.add("Sun or light sensitivity.");
        arraylist.add("Kidney problems.");
        arraylist.add("Mouth sores");
        arraylist.add(" Asymmetry. The shape of one-half of the mole does not match the other.");
        arraylist.add("Border. The edges are ragged, notched, uneven, or blurred.");
        arraylist.add("Color. Shades of black, brown, and tan may be present.");
        arraylist.add(" Diameter. The diameter is usually larger than 6 millimeters or has grown in size.");
        arraylist.add("Evolving");
        arraylist.add("Thickened.");
        arraylist.add("Whitish to yellow-brown discoloration.");
        arraylist.add("Brittle, crumbly or ragged.");
        arraylist.add("Distorted in shape.");
        arraylist.add("A dark color, caused by debris building up under your nail.");
        arraylist.add("Smelling slightly foul");
        arraylist.add("Redness.");
        arraylist.add("Itching.");
        arraylist.add("Blisters.");
        arraylist.add("Difficulty breathing, if you've inhaled the smoke from burning poison ivy");
        arraylist.add("Red patches of skin covered with thick, silvery scales.");
        arraylist.add("Small scaling spots commonly seen in children");
        arraylist.add("Dry, cracked skin that may bleed or itch.");
        arraylist.add("Itching, burning or soreness.");
        arraylist.add("Thickened, pitted or ridged nails.");
        arraylist.add("Swollen and stiff joints");
        arraylist.add("Itching");
        arraylist.add("scabies rash.");
        arraylist.add("Scratching the itchy rash can cause sores.");
        arraylist.add("Thick crusts on the skin: Crusts form when a person develops a severe type of scabies called crusted scabies");
        return  arraylist;
    }

    @Override
    public void onCreateOptionsMenu(@NonNull Menu menu, @NonNull MenuInflater inflater) {
        inflater.inflate(R.menu.search_menu, menu);
        super.onCreateOptionsMenu(menu, inflater);
    }

    @Override
    public void setHasOptionsMenu(boolean hasMenu) {
        super.setHasOptionsMenu(hasMenu);
    }

    @Override
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
        int itemThatWasClickedId = item.getItemId();
        if (itemThatWasClickedId == R.id.action_search) {

            try {
                getMap();
                if (this.responce_data!= null){
                    if(!this.responce_data.isEmpty()){
                        ArrayList<Integer> output= new ArrayList<>();
                        for (String data:this.responce_data) {
                            String point = this.map.get(data);
                            output.add(Integer.parseInt(point));
                        }
                        System.out.println(output.toString());
                        justafunction(output.toString(),new VolleyCallBack() {

                            @Override
                            public void onSuccess() {
                                System.out.println("hello"+data_);
                                Intent intent = new Intent(getContext(),DeasisShow.class);
                                intent.putExtra("deasis",data_);
                                startActivity(intent);
                                // this is where you will call the geofire, here you have the response from the volley.
                            }});



                    }else{
                        showAlert("Please Checkout Some symptoms","Warining");
                    }

                }else{
                    showAlert("Please Checkout Some symptoms","Warining");
//                    Toast.makeText(this.getContext(),"Please Checkout Some symptoms",Toast.LENGTH_LONG).show();
                }

            } catch (JSONException e) {
                e.printStackTrace();
            }
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
    public void showAlert(String msg,String title){
        AlertDialog.Builder builder1 = new AlertDialog.Builder(this.getContext());
        builder1.setMessage(msg);
        builder1.setTitle(title);
        builder1.setCancelable(true);
        builder1.setPositiveButton(
                "Ok",
                new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int id) {
                        dialog.cancel();
                    }
                });

        AlertDialog alert11 = builder1.create();
        alert11.show();
    }
    public void justafunction(String data,final VolleyCallBack callBack) throws JSONException {
//        String url ="https://projects.vishnusivadas.com/testing/write.php";
        final String url = "https://i0qh9h.deta.dev/api/predictions/symptoms";

        String quary = "{\"symptoms\": "+data+"}";
        final JSONObject jsonBody = new JSONObject(quary);
        JsonObjectRequest req = new JsonObjectRequest(url, jsonBody,
                new Response.Listener<JSONObject>() {
                    @Override
                    public void onResponse(JSONObject response) {
                        try {
                            VolleyLog.v("Response:%n %s", response.toString(4));
                            ArrayList<String> listdata = new ArrayList<String>();
                            ArrayList<String> data_in = new ArrayList<String>();
                            JSONArray jsonArray = (JSONArray)response.get("result");
                            if (jsonArray != null) {
                                int len = jsonArray.length();
                                if(data_!=null && data_.size()!=0){
                                    data_.clear();
                                }
                                for (int i=0;i<len;i++){
                                    data_in.add(jsonArray.get(i).toString());
                                    data_.add(jsonArray.get(i).toString());
                                }
                            }
                            for (Object data: (data_)) {
                                System.out.println("here"+data);
                                JSONObject obj = new JSONObject(data.toString());

                                List<String> list = new ArrayList<String>();
                                String name = (String) obj.get("name");
                                String description = (String) obj.get("description");

                                System.out.println("name "+name);
                                System.out.println("description "+description);
                            }
                            callBack.onSuccess();

                        } catch (JSONException e) {
                            e.printStackTrace();
                        }
                    }
                }, new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError error) {
                VolleyLog.e("Error: ", error.getMessage());
            }

        });

// add the request object to the queue to be executed
        RequestQueue queue = Volley.newRequestQueue(this.getContext());
        queue.add(req);
    }
    public void getMap() {
        this.map.put("Crusting of skin bumps.","23");
        this.map.put(" Cysts.","2");
        this.map.put(" Papules (small red bumps)","8");
        this.map.put(" Pustules (small red bumps containing white or yellow pus)","9");
        this.map.put(" Redness around the skin eruptions.","11");
        this.map.put(" Scarring of the skin.","12");
        this.map.put("Whiteheads.","68");
        this.map.put("Blackheads","15");
        this.map.put(" Eye Problems","4");
        this.map.put("Enlarged nose.","28");
        this.map.put("Rough, dry or scaly patch of skin , usually less than 1 inch  in diameter.","53");
        this.map.put("Flat to slightly raised patch or bump on the top layer of skin.","32");
        this.map.put(" In some cases, a hard, warlike surface.","6");
        this.map.put("Color variations, including pink, red or brown .","21");
        this.map.put("Itching, burning, bleeding or crusting","39");
        this.map.put("the rash often forms in the creases of your elbows or knees","84");
        this.map.put("skin in areas where the rash appears may turn lighter or darker, or get thicker","81");
        this.map.put("small bumps may appear and leak fluid if you scratch them","82");
        this.map.put("babies often get the rash on their scalp and cheeks","72");
        this.map.put("your skin can get infected if you scratch it","85");
        this.map.put("Itching skin, weeks or months before blisters form.","37");
        this.map.put("Large blisters that don't easily rupture when touched, often along creases or folds in the skin.","42");
        this.map.put("Skin around the blisters that is normal, reddish or darker than normal.","55");
        this.map.put("Eczema or a hive-like(5) rash","27");
        this.map.put("Red area of skin that tends to expand.","49");
        this.map.put("Swelling.","61");
        this.map.put("Tenderness.","63");
        this.map.put("Pain.","46");
        this.map.put("Warmth.","67");
        this.map.put("Fever.","31");
        this.map.put("Red spots .","51");
        this.map.put("Blisters","16");
        this.map.put("your skin itches, turns red, burns, and stings.","86");
        this.map.put("itchy bumps called hives may pop up on your skin.","76");
        this.map.put("fluid-filled blisters  can form that may ooze and crust over.","73");
        this.map.put("over time, the skin may thicken and feel scaly or leathery","78");
        this.map.put("Hacking cough","33");
        this.map.put(" Redness and irritation of the eyes","10");
        this.map.put("Fever","30");
        this.map.put("Small red spots with white centers on the inside of the cheek ","57");
        this.map.put("Small bald patches on your scalp or other parts of your body.","56");
        this.map.put("Patches may get larger and grow together into a bald spot.","47");
        this.map.put("Hair grows back in one spot and falls out in another.","34");
        this.map.put("You lose a lot of hair over a short time.","70");
        this.map.put(" More hair loss in cold weather.","7");
        this.map.put(" Fingernails and toenails become red, brittle, and pitted","5");
        this.map.put("including swollen glands, fever, chills, and headache.","75");
        this.map.put("a burning or tingling sensation where the infection will erupt.","71");
        this.map.put("Pain and itching around the genital area. ","45");
        this.map.put(" red bumps or other blisters, which may ooze, in the genital area","13");
        this.map.put("redness, ","79");
        this.map.put("light sensitivity, ","77");
        this.map.put("headaches, and blurred vision.","74");
        this.map.put("symptoms may be treated by closing the eyes and taking a break from the visual task.","83");
        this.map.put("Muscle and joint pain. ","44");
        this.map.put("Rashes.","48");
        this.map.put("Chest pain.","20");
        this.map.put("Hair loss.","35");
        this.map.put("Sun or light sensitivity.","60");
        this.map.put("Kidney problems.","41");
        this.map.put("Mouth sores","43");
        this.map.put(" Asymmetry. The shape of one-half of the mole does not match the other.","1");
        this.map.put("Border. The edges are ragged, notched, uneven, or blurred.","18");
        this.map.put("Color. Shades of black, brown, and tan may be present.","22");
        this.map.put(" Diameter. The diameter is usually larger than 6 millimeters or has grown in size.","3");
        this.map.put("Evolving","29");
        this.map.put("Thickened.","66");
        this.map.put("Whitish to yellow-brown discoloration.","69");
        this.map.put("Brittle, crumbly or ragged.","19");
        this.map.put("Distorted in shape.","25");
        this.map.put("A dark color, caused by debris building up under your nail.","14");
        this.map.put("Smelling slightly foul","59");
        this.map.put("Redness.","52");
        this.map.put("Itching.","40");
        this.map.put("Blisters.","17");
        this.map.put("Difficulty breathing, if you've inhaled the smoke from burning poison ivy","24");
        this.map.put("Red patches of skin covered with thick, silvery scales.","50");
        this.map.put("Small scaling spots commonly seen in children","58");
        this.map.put("Dry, cracked skin that may bleed or itch.","26");
        this.map.put("Itching, burning or soreness.","38");
        this.map.put("Thickened, pitted or ridged nails.","65");
        this.map.put("Swollen and stiff joints","62");
        this.map.put("Itching","36");
        this.map.put("scabies rash.","80");
        this.map.put("Scratching the itchy rash can cause sores.","54");
        this.map.put("Thick crusts on the skin: Crusts form when a person develops a severe type of scabies called crusted scabies","64");
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (getArguments() != null) {
            mParam1 = getArguments().getString(ARG_PARAM1);
            mParam2 = getArguments().getString(ARG_PARAM2);
        }
        setHasOptionsMenu(true);
        getActivity().setTitle("Search");
  
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment

        View view = inflater.inflate(R.layout.fragment_search, container, false);
        recyclerView = view.findViewById(R.id.recyleView);
        recyclerView.setHasFixedSize(false);
        recyclerView.setLayoutManager(new LinearLayoutManager(view.getContext()));
        recyclerView.setAdapter(new DeasisAdapter(this.getContext(),getData(),this));
        return view;
    }

    @Override
    public void onQunatiyChange(ArrayList<String> arrayList) {
        this.responce_data = arrayList;
//        Toast.makeText(this.getContext(),arrayList.toString(),Toast.LENGTH_LONG).show();
    }
}